Status: New Start date:  
Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We have a large amount of projects, an selecting a project in issue form is very difficult.

My idea is to use the same "searchable selectbox" from header in the issue form.

Related issues:

Blocked by Redmine - Feature #34288: Show tree path of project when searching... New

History

#1 - 2020-11-19 14:20 - Bernhard Rohloff

- Category set to Issues

#2 - 2021-02-05 17:19 - Marc Morocutti

Ref.: Sponsor a Feature: Project Search Optimization

#3 - 2021-02-05 21:36 - Mischa The Evil

- Blocked by Feature #34288: Show tree path of project when searching in searchable project selectbox added

#4 - 2021-02-05 21:41 - Mischa The Evil

Given that we currently have projects rendered as a tree in the project select field (r8534), the change as proposed in this issue is blocked by #34288

to prevent functional regression.

#5 - 2021-02-08 16:21 - Daniel Duton

An example of how a searchable tree dropdown could look like:

https://vue-treeselect.js.org/#nested-search

This combines a dropdown with Tree view and a search without loosing the tree path information.

#6 - 2021-02-18 13:10 - Daniel Duton

Here is another example of a searchable tree without loosing path information.

https://js.devexpress.com/Demos/WidgetsGallery/Demo/TreeView/TreeViewWithSearchBar/jQuery/Light/

#7 - 2021-02-23 15:49 - aabella aabella

- File download.jpg added

#8 - 2021-02-23 15:51 - Marius BĂLTEANU

- File deleted (download.jpg)

#9 - 2021-03-01 11:34 - Severin Schols

This would be great as an option for other project selection dropdowns as well, e.g. when creating new time entries.

#10 - 2022-04-21 06:58 - pasquale [:dedalus]
